/**
 * @author Igor Kholodov, Bristol Community College
 *
 * CIS-75 sample:
 * Minimal JFrame, JPanel and JButton example
 */
package application;
import cis75.CallTrace;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;

public class SwingMain
{
    public static void main(String args [])
    {
        if (args.length > 0)
        {
            CallTrace.strDebugOutput = args[0];
        }

        // Swing test
        JFrame frame = new JFrame("JFrame is me");
        frame.setBounds(0, 0, 400, 300);

        JPanel jpan = new JPanel();
        frame.getContentPane().add(jpan);
        JButton jbut = new JButton("Hello");
        jpan.add(jbut);

        frame.setVisible(true);
    } //main
} //SwingMain
