@rem  DISPLAY SEQUENCE DIAGRAM
@rem  for trace produced by cis75\CallTrace.java
@rem  INPUT: full path to the trace text file

@rem  TIP: Try dragging and dropping file named DEBUGOUT.TXT on
@rem  top of the batch file in windows explorer.

@rem  Side effect: SEQUENCELOGS subdirectory is created automatically in current directory.

@echo running config...
@call C:\CIS75\bin\config.bat
@if [%CIS75_JAVA_BIN%]==[] ( (echo *** C:\CIS75\bin\config.bat FAILED ***.) & pause & exit )

@setlocal
@prompt SEQ:
@title %~n0%~x0

@if "[%1]"=="[]" ( (echo *** input file was not specified.) & pause & exit )

@echo generating sequence .C file...
:: convert trace text file to sequence script:
@%CIS75_BIN%\java_trace_2_seq.exe %1 > %~d1%~p1%~n1.c

@echo generating .PNG file...
:: convert sequence script to PNG image and display:
@call %~d0%~p0\_trace_2_png.bat %~d1%~p1%~n1.c

